<?php
/*
 * Functions for Pro stuff
 * @since 1.8.0
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Return license limit
 * @since 1.8.0
 */
if( ! function_exists( 'ctdb_get_license_limit' ) ) {
	function ctdb_get_license_limit() {
		$license_limit = get_option( 'ct_db_pro_license_level' );
		return $license_limit;
	}
}

/**
 * Return license plan
 * @return String	Either basic, developer, unlimited or false
 * @since 1.8.0
 */
function ctdb_get_license_plan() {
	$license_limit = ctdb_get_license_limit();
	if( false === $license_limit ) {
		return 'invalid';
	} else {
		return 'unlimited';
	}
	// else if ( $license_limit == 1 ) {
	// 	return 'basic';
	// } else if( $license_limit > 1 ) {
	// 	return 'developer';
	// } else if( $license_limit == 0 ) {
	// 	return 'unlimited';
	// }
	return 'invalid';
}
